using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common.models;

public class UserRegistration
{
    [JsonPropertyName("firstName")]
    [DefaultValue("Fred")]
    public string FirstName { get; set; } = string.Empty;

    [JsonPropertyName("middleNames")]
    [DefaultValue("")]
    public string MiddleNames { get; set; } = string.Empty;

    [JsonPropertyName("lastName")]
    [DefaultValue("bloggs")]
    public string LastName { get; set; } = string.Empty;

    [JsonPropertyName("email")]
    [DefaultValue("fred.bloggs@sun-strategy.com")]
    [Required]
    public string Email { get; set; } = string.Empty;

    [JsonPropertyName("domainId")]
    public GeneralIdRef? DomainId { get; set; } = null!;
}